Subject: Re: [Ice] Spencer Dawkins' Yes on draft-ietf-ice-dualstack-fairness-04: (with COMMENT)

From: "Pal Martinsen (palmarti)" <[email-masked]>
Date: Mon, 5 Sep 2016 13:10:48 +0000

> On 30 Aug 2016, at 15:54, Spencer Dawkins <[email-masked]> wrote:
> 
> Spencer Dawkins has entered the following ballot position for
> draft-ietf-ice-dualstack-fairness-04: Yes
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ice-dualstack-fairness/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks for doing this work.
> 
> The document thinks it's going for Best Current Practice, but the
> shepherd write-up and datatracker think it's going for Informational. It
> would be good for that to match ...
> 
> I'm a little confused by 
> 
>   These recommendations are backward compatible with a standard ICE
>   implementation.  The resulting local and remote checklist will still
>   be synchronized.  The introduced fairness might be better, but not
>   worse than what exists today
> 
> Is the point that the introduced fairness 
> - might be better, or 
> - might be the same as, but
> - won't be worse?
> 
> If so, that wasn't clear to me on first (or second) reading.
> 

How about:
"These recommendations are backward compatible with a standard ICE
   implementation.  The resulting local and remote checklist will still
   be synchronized.  The introduced fairness might be better or equal, 
   but not worse than what exists today.”

Still something weird about the language…

> (Nit: missing period at the end of "what exists today")
> 
> 

Thanks for the review.

.-.
Pål-Erik

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 5 Sep 2016 14:47:55 -0500

Hi, Pal,

On Mon, Sep 5, 2016 at 8:10 AM, Pal Martinsen (palmarti) <[email-masked]
> wrote:

> Still something weird about the language…

Your suggested text works for me. The RFC Editor might be able to suggest
improvements if the language still looks TOO weird, but the text is clear
enough for that to be OK!

Thanks,

Spencer